Subject: RE: Queries on Message/rfc822, Compressed-Data.

From: "Pandey, Arun" <[email-masked]>
Date: Tue, 1 Apr 2003 17:25:13 +0530

Hi Russ,
 
As per draft-ietf-smime-x400transport-05.txt to convey information about the
contained content 
of an S/MIME message in an X.400 transport environment EITs are used. 
 
Section 2.5 (2.5.1 to 2.5.6) of draft-ietf-smime-x400transport-05.txt define
the EITs for:
1. Enveloped Data
2. Signed Data
3. Certificate Management
4. Signed Receipt
5. Enveloped X.400
6. Signed X.400
 
These match with the corresponding EITs defined in
http://www.imc.org/ietf-smime/sm-oid.asn
-- X.400 Encoded Information Types (EIT) for S/MIME objects
id-eit-envelopedData OBJECT IDENTIFIER ::= { id-eit 1 }
id-eit-signedData OBJECT IDENTIFIER ::= { id-eit 2 }
id-eit-certManagement OBJECT IDENTIFIER ::= { id-eit 3 }
id-eit-signedReceipt OBJECT IDENTIFIER ::= { id-eit 4 }
id-eit-envelopedx400 OBJECT IDENTIFIER ::= { id-eit 5 }
id-eit-signedx400 OBJECT IDENTIFIER ::= { id-eit 6 }
 
I am unable to find the corresponding EIT definition for the smime-type
parameter 
'compressed-data'(CompressedData), that has been newly introduced in the
'draft-ietf-smime-
rfc2633bis-03.txt'. 
 
Best Regards
Arun Pandey

-----Original Message-----
From: Russ Housley [mailto:[email-masked]]
Sent: Thursday, March 27, 2003 1:33 AM
To: Pandey, Arun
Cc: [email-masked]
Subject: Re: Queries on Message/rfc822, Compressed-Data.

These are both discussed in the most recent MSG draft.
Please see draft-ietf-smime-rfc2633bis-03.txt.

Russ

At 03:40 PM 3/26/2003 +0530, Pandey, Arun wrote:

Hi, 

I had the following 2 queries. Would appreciate a response on these if
possible: 

1. Going  through the S/MIME mail archive I find a discussion on the use of
message types like 
    message/rfc822, message/partial etc. that could be used to wrap a
protected message (MIME 
    content + RFC822 Headers). Also as per MOM of the 54th IETF meeting it
seems that 
    message/rfc822 message type has been finalized for this purpose. 

    My question is how should one distinguish such a message ( A protected
message wrapped 
    in message/rfc822) from a forwarded message which also has a message
type of 
    message/rfc822 and can also contain a non protected message? Is an
example message of 
    type message/rfc822 containing a protected message available for
reference? 

2. The latest draft 'S/MIME Version 3.1 Message Specification'
(draft-ietf-smime-rfc2633bis-03.txt) 
    mentions a new S/MIME type "compressed-data". However for this new
S/MIME type no 
    corresponding EIT has been defined in the S/MIME TRANSPORT draft. Where
would one be 
    able to find the corresponding EIT for the same? 

Best Regards 
Arun Pandey

---

From: "Bonatti, Chris" <[email-masked]>
Date: Wed, 02 Apr 2003 18:17:11 -0500

Yes, this probably makes sense.
 
I overlooked this because compressed-data was a draft when x400transport
was drafted.  Since compressed-data is not in 2633bis it would probably
make more sense to define the EIT for this in RFC 3274.  However, there
is also benefit to all the X.400 stuff being here.  I suppose I would
favor the latter.
 
Chris

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Pandey, Arun
Sent: Tuesday, April 01, 2003 06:55
To: 'Russ Housley'
Cc: [email-masked]
Subject: RE: Queries on Message/rfc822, Compressed-Data.

Hi Russ,
 
As per draft-ietf-smime-x400transport-05.txt to convey information about
the contained content 
of an S/MIME message in an X.400 transport environment EITs are used. 
 
Section 2.5 (2.5.1 to 2.5.6) of draft-ietf-smime-x400transport-05.txt
define the EITs for:
1. Enveloped Data
2. Signed Data
3. Certificate Management
4. Signed Receipt
5. Enveloped X.400
6. Signed X.400

 
Best Regards
Arun Pandey

-----Original Message-----
From: Russ Housley [mailto:[email-masked]]
Sent: Thursday, March 27, 2003 1:33 AM
To: Pandey, Arun
Cc: [email-masked]
Subject: Re: Queries on Message/rfc822, Compressed-Data.

Russ

Hi, 

1. Going  through the S/MIME mail archive I find a discussion on the use
of message types like 
    message/rfc822, message/partial etc. that could be used to wrap a
protected message (MIME 
    content + RFC822 Headers). Also as per MOM of the 54th IETF meeting
it seems that 
    message/rfc822 message type has been finalized for this purpose. 

    My question is how should one distinguish such a message ( A
protected message wrapped 
    in message/rfc822) from a forwarded message which also has a message
type of 
    message/rfc822 and can also contain a non protected message? Is an
example message of 
    type message/rfc822 containing a protected message available for
reference? 

    corresponding EIT has been defined in the S/MIME TRANSPORT draft.
Where would one be 

Best Regards 
Arun Pandey

---

From: "Blake Ramsdell" <[email-masked]>
Date: Wed, 2 Apr 2003 17:08:31 -0800

Since RFC3274 isn't going to be updated anytime soon, I would recommend
that the EIT value be placed in the x400transport draft.
 
Blake

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Bonatti, Chris
Sent: Wednesday, April 02, 2003 3:17 PM
To: 'Pandey, Arun'; 'Russ Housley'
Cc: [email-masked]
Subject: RE: Queries on Message/rfc822, Compressed-Data.

 
Chris

-----Original Message-----

Hi Russ,

 

Best Regards
Arun Pandey

-----Original Message-----
From: Russ Housley [mailto:[email-masked]]
Sent: Thursday, March 27, 2003 1:33 AM
To: Pandey, Arun
Cc: [email-masked]
Subject: Re: Queries on Message/rfc822, Compressed-Data.

Russ

Hi, 

Best Regards 
Arun Pandey

---

From: "Bonatti, Chris" <[email-masked]>
Date: Wed, 02 Apr 2003 23:40:11 -0500

I'll update the draft to assign the next available value.
 
Chris

-----Original Message-----
From: Blake Ramsdell [mailto:[email-masked]] 
Sent: Wednesday, April 02, 2003 20:09
To: 'Bonatti, Chris'; 'Pandey, Arun'; 'Russ Housley'
Cc: [email-masked]
Subject: RE: Queries on Message/rfc822, Compressed-Data.

Blake

-----Original Message-----

 
Chris

-----Original Message-----

Hi Russ,

 

Best Regards
Arun Pandey

-----Original Message-----
From: Russ Housley [mailto:[email-masked]]
Sent: Thursday, March 27, 2003 1:33 AM
To: Pandey, Arun
Cc: [email-masked]
Subject: Re: Queries on Message/rfc822, Compressed-Data.

Russ

Hi, 

Best Regards 
Arun Pandey

---

From: Russ Housley <[email-masked]>
Date: Thu, 03 Apr 2003 14:59:30 -0500

Chris:

I assigned:

id-eit-compressedData      OBJECT
IDENTIFIER ::= { id-eit 7 }

Russ

At 11:40 PM 4/2/2003 -0500, Bonatti, Chris wrote:

I'll
update the draft to assign the next available value.

Chris

-----Original Message-----

From: Blake Ramsdell
[mailto:[email-masked]]

Cc: [email-masked]

Since RFC3274 isn't
going to be updated anytime soon, I would recommend that the EIT value be
placed in the x400transport draft.

Blake

-----Original Message-----

From: [email-masked]
[mailto:[email-masked]]
On Behalf Of Bonatti, Chris

Cc: [email-masked]

Subject: RE: Queries on Message/rfc822,
Compressed-Data.

Yes, this probably makes
sense.

I overlooked this because
compressed-data was a draft when x400transport was drafted.  Since
compressed-data is not in 2633bis it would probably make more sense to
define the EIT for this in RFC 3274.  However, there is also benefit
to all the X.400 stuff being here.  I suppose I would favor the
latter.

Chris

-----Original Message-----

From: [email-masked]
[mailto:[email-masked]]
On Behalf Of Pandey, Arun

To: 'Russ Housley'

Cc: [email-masked]

Subject: RE: Queries on Message/rfc822,
Compressed-Data.

Hi Russ,

As per
draft-ietf-smime-x400transport-05.txt to convey information about the
contained content

of an S/MIME message in an
X.400 transport environment EITs are used.

Section 2.5 (2.5.1 to
2.5.6) of draft-ietf-smime-x400transport-05.txt define the EITs
for:

1. Enveloped
Data

2. Signed Data

3. Certificate
Management

4. Signed
Receipt

5. Enveloped
X.400

6. Signed
X.400

These match with the
corresponding EITs defined in
http://www.imc.org/ietf-smime/sm-oid.asn

-- X.400 Encoded
Information Types (EIT) for S/MIME objects

id-eit-envelopedData OBJECT
IDENTIFIER ::= { id-eit 1 }

id-eit-signedData OBJECT
IDENTIFIER ::= { id-eit 2 }

id-eit-certManagement
OBJECT IDENTIFIER ::= { id-eit 3 }

id-eit-signedReceipt OBJECT
IDENTIFIER ::= { id-eit 4 }

id-eit-envelopedx400 OBJECT
IDENTIFIER ::= { id-eit 5 }

id-eit-signedx400 OBJECT
IDENTIFIER ::= { id-eit 6 }

I am unable to find the
corresponding EIT definition for the smime-type parameter

'compressed-data'(CompressedData),
that has been newly introduced in the 'draft-ietf-smime-

rfc2633bis-03.txt'.

Best Regards

Arun Pandey

-----Original Message-----

From: Russ Housley
[mailto:[email-masked]]

To: Pandey, Arun

Cc: [email-masked]

Subject: Re: Queries on Message/rfc822,
Compressed-Data.

Russ

Hi,

I had the following 2 queries. Would appreciate a
response on these if possible:

1. Going  through the S/MIME mail archive I find a
discussion on the use of message types like

message/rfc822, message/partial etc.
that could be used to wrap a protected message (MIME

content + RFC822 Headers). Also as
per MOM of the 54th IETF meeting it seems that

message/rfc822 message type has been
finalized for this purpose.

My question is how should one
distinguish such a message ( A protected message wrapped

in message/rfc822) from a forwarded
message which also has a message type of

message/rfc822 and can also contain a
non protected message? Is an example message of

type message/rfc822 containing a
protected message available for reference?

2. The latest draft 'S/MIME Version 3.1 Message
Specification' (draft-ietf-smime-rfc2633bis-03.txt)

mentions a new S/MIME type
"compressed-data". However for this new S/MIME type no

corresponding EIT has been defined in
the S/MIME TRANSPORT draft. Where would one be

able to find the corresponding EIT
for the same?

Best Regards

Arun Pandey